<template>
  <b-container fluid style="padding-left: 0px; padding-right: 0px;">
    <div id="title">
      <h1 style="font-weight: bold;">Twitter Archive - Home</h1>
    </div>
    <h6 style="color: #0077b5;">
      No more secrets: tutto quello che puoi sapere sull'analisi dei tweet a portata di click!
    </h6>
  
    <h2 style="margin-top: 4rem;">Servizi Offerti</h2>
    <b-row no-gutters class="container-services row-cols-1 row-cols-md-5">
      <b-col style="padding-top: 2%;">
        <a href="#search"><b-icon icon="search" font-scale="6" class="rounded-circle p-4" variant="light" style="background-color: #98e4fe;"></b-icon></a>
        <p class="my-3" style="color: #0077b5; font-size: 20px;">FILTRI DI RICERCA</p>
      </b-col>
      <b-col style="padding-top: 2%;">
        <a href="#map"><b-icon icon="geo-alt" font-scale="6" class="rounded-circle p-4" variant="light" style="background-color: #1a76f1;"></b-icon></a>
        <p class="my-3" style="color: #0077b5; font-size: 20px;">MAPPA</p>
      </b-col>
      <b-col style="padding-top: 2%;">
        <a href="#numerosity"><b-icon icon="bar-chart-line" font-scale="6" class="rounded-circle p-4" variant="light" style="background-color: #c13584"></b-icon></a>
        <p class="my-3" style="color: #0077b5; font-size: 20px;">NUMEROSIT&Agrave; TWEET</p>
      </b-col>
      <b-col style="padding-top: 2%;">
        <a href="#sentiment"><b-icon icon="heart" font-scale="6" class="rounded-circle p-4" variant="light" style="background-color: #f77737"></b-icon></a>
        <p class="my-3" style="color: #0077b5; font-size: 20px;">SENTIMENT ANALYSIS</p>
      </b-col>
      <b-col style="padding-top: 2%;">
        <a href="#wordcloud"><b-icon icon="cloud-minus" font-scale="6" class="rounded-circle p-4" variant="light" style="background-color: #e0c503"></b-icon></a>
        <p class="my-3" style="color: #0077b5; font-size: 20px;">WORD CLOUD</p>
      </b-col>
    </b-row>

    <!--Search Filter-->
    <hr id="search">
    <section>
      <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial;">
        <div class="container w-md-50" style="margin-left: 90px;">
                    <p>
                      <ul>
                      <h3 style="margin-bottom: 1em; color: #0077b5;">Filtro ricerca</h3>
                        <li>
                          <h5>Hashtag</h5> 
                          <p>Fornisce i tweet contenenti l'hashtag inserito.</p>
                        </li>
                        <li>
                          <h5>Parola Chiave</h5>
                          <p>Fornisce i tweet contenenti la parola chiave inserita.</p>
                        </li>
                        <li>
                          <h5>Utente Specifico</h5>
                          <p>Fornisce i tweet dell'utente il cui username è stato specificato.</p>
                        </li>
                        <li style="padding-top: 10px;">
                          <h5 style="font-style: italic;">Filtro Data (Opzionale)</h5>
                          <p> Permette di filtrare ricerca i tweet cercati, limitandoli ad all'intervallo di date specificato.</p>
                        </li>
                      </ul>
                    </p>
                  </div>
                  <div class="container w-md-50" style="margin-right: 70px;">
                      <div class="h1">
                        <img class="img-fluid" src="../assets/homeAssets/filtro_ricerca_ex.png" alt="Ricerca Tweet - Filtro Ricerca"/>
                      </div>
                  </div>
              </div>
        </section>

  <hr id="map">
  <!--Map-->
        <section>
          <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial;">
                <div class="container w-md-50" style="margin-left: 90px;">
                      <div class="h1">
                        <img class="img-fluid" src="../assets/homeAssets/mappa_ex.png" alt="Ricerca Tweet - Mappa"/>
                      </div>
                </div>
                <div class="container w-md-50" style="margin-right: 70px;">
                    <h3 style="margin-bottom: 1em; color: #0077b5;">Mappa</h3>
                    <p>Associabile ad ogni filtro ricerca, la funzionalità mappa permette di visualizzare la posizione di pubblicazione dei tweet geolocalizzabili, risultanti dalla ricerca effettuata.</p>
                </div>
          </div>
        </section>

<hr id="graphs">

<!--Graphs-->
        <section>
          <h3>Grafici</h3>
          <p class="description-graph" style="padding-bottom: 1em;">Associabile ad ogni filtro ricerca, la funzionalità grafico permette di visualizzare su grafici diversi il risultato di analisi sui tweet inerenti alla vostra ricerca basati sui criteri seguenti.</p>
          <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial;">
                <div class="container w-md-50" style="margin-left: 90px;">
                  <h3 style="margin-bottom: 1em; color: #0077b5;" id="numerosity">Numerosità Tweet</h3> 
                  <p>Associabile ad ogni filtro ricerca, la funzionalità permette di visualizzare il numero dei tweet pubblicati al giorno nel periodo di tempo scelto relativi al tipo di ricerca effettuato.</p> 
                </div>
                <div class="container w-md-50" style="margin-right: 70px;">
                  <div class="h1">
                    <img class="img-fluid" src="../assets/homeAssets/istogramma_ex.png" alt="Ricerca Tweet - Istogramma"/>
                  </div>
                </div>
          </div>
          <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial; margin-top: 20px;">
                <div class="container w-md-50" style="margin-left: 90px;">
                      <div class="h1 text-center">
                        <img class="img-fluid w-100" src="../assets/homeAssets/torta_ex.png" alt="Ricerca Tweet - Grafico a Torta" width="300px"/>
                      </div>
                </div>
                <div class="container w-md-50" style="margin-right: 70px; margin-top: 2%;">
                    <h3 style="margin-bottom: 1em; color: #0077b5;" id="sentiment">Sentiment Analysis</h3>
                    <p>Associabile ad ogni filtro di ricerca, la funzionalità sentiment analysis permette di analizzare i tweet cercati con l'obbiettivo di comprendere i sentimenti e le opinioni relative a questi. Si distinguono i tweet secondo classi per opinione positiva, negativa o neutra.</p>
                </div>
          </div>
          <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial;">
            <div class="container w-md-50" style="margin-left: 90px;">
              <h3 style="margin-bottom: 1em; color: #0077b5;" id="wordcloud">World Cloud</h3> 
              <p>Associabile ad ogni filtro ricerca, la funzionalità word cloud permette di visualizzare la nuvola di parole più frequenti all'interno del tweet, risultati dalla ricerca effettuata.</p> 
            </div>
            <div class="container w-md-50" style="margin-right: 70px;">
              <div class="h1">
                <img class="img-fluid" src="../assets/homeAssets/word_cloud_ex.png" alt="Ricerca Tweet - Word Cloud"/>
              </div>
            </div>
          </div>
        </section>

        <section>
          <hr id="game">
          <h2>Giochi</h2>
          <section>
            <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial;">
              <div class="container w-md-50" style="margin-left: 90px;">
                <h3 style="color: #0077b5; text-align: left;">FantaCitorio</h3>
              </div>
            </div>
            <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial;">
              <div class="container w-md-50" style="margin-left: 90px;">
                <div>
                  <h5>Classifica cumulativa</h5>
                  <p>Fornisce la classifica cumulativa di tutti i politici. Editabile a mano per tener conto delle votazioni assegnate prima dell'avvio del programma.</p>
                </div>
              </div>
              <div class="container w-md-50" style="margin-right: 70px;">
                <div class="h1">
                  <img class="img-fluid" src="../assets/homeAssets/fantacitorio_cumulativa_ex.png" alt="Fantacitorio - Classifica Cumulativa"/>
                </div>
              </div>
            </div>
            <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial;">
              <div class="container w-md-50" style="margin-left: 90px;">
                <div>
                  <h5>Classifica settimanale</h5>
                  <p>Fornisce la classifica settimanale di tutti i politici a cui è stato assegnato un nuovo punteggio.</p>
                </div>
              </div>
              <div class="container w-md-50" style="margin-right: 70px;">
                <div class="h1">
                  <img class="img-fluid" src="../assets/homeAssets/fantacitorio_settimana_ex.png" alt="Fantacitorio - Classifica Settimanale"/>
                </div>
              </div>
            </div>
            <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial;">
              <div class="container w-md-50" style="margin-left: 90px;">
                <div>
                  <h5>Squadre</h5>
                  <p>Fornisce un carosello nel quale si sfogliano tutte le squadre. Permette poi di cercare se un utente ha una squadra e ne visualizza l'immagine.</p>
                </div>
              </div>
              <div class="container w-md-50" style="margin-right: 70px;">
                <div class="h1">
                  <img class="img-fluid" src="../assets/homeAssets/fantacitorio_squadre_ex.png" alt="Fantacitorio - Squadre"/>
                </div>
              </div>
            </div>
          </section>
          <hr>
          <section>
            <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial;">
              <div class="container w-md-50" style="margin-left: 90px;">
                <h3 style="color: #0077b5; text-align: left;">Ghigliottina</h3>
              </div>
            </div>
            <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial;">
              <div class="container w-md-50" style="margin-left: 90px;">
                <div>
                  <h5>Partita scacchi</h5>
                  <p>Gioca contro un avversario random oppure condividi la partita per giocare contro gli utenti di Twitter.</p>
                </div>
              </div>
              <div class="container w-md-50" style="margin-right: 70px;">
                <div class="h1">
                  <img class="img-fluid" src="../assets/homeAssets/ghigliottina_parole_ex.png" alt="Scacchi"/>
                </div>
              </div>
            </div>
            <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial;">
              <div class="container w-md-50" style="margin-right: 70px;">
                <div class="h1">
                  <img class="img-fluid" src="../assets/homeAssets/ghigliottina_classifica_ex.png" alt="Scacchi"/>
                </div>
              </div>
              <div class="container w-md-50" style="margin-left: 90px;">
                <div>
                  <h5>Partita scacchi</h5>
                  <p>Gioca contro un avversario random oppure condividi la partita per giocare contro gli utenti di Twitter.</p>
                </div>
              </div>
            </div>
          </section>
          <hr>
          <section>
            <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial;">
              <div class="container w-md-50" style="margin-left: 90px;">
                <h3 style="color: #0077b5; text-align: left;">Scacchi</h3>
              </div>
            </div>
            <div class="d-md-flex justify-content-center align-items-center" style="text-align: initial;">
              <div class="container w-md-50" style="margin-left: 90px;">
                <div>
                  <h5>Partita scacchi</h5>
                  <p>Gioca contro un avversario random oppure condividi la partita per giocare contro gli utenti di Twitter.</p>
                </div>
              </div>
              <div class="container w-md-50" style="margin-right: 70px;">
                <div class="h1">
                  <img class="img-fluid" src="../assets/homeAssets/scacchi_ex.png" alt="Scacchi"/>
                </div>
              </div>
            </div>
          </section>
        </section>

    <!--team-->
    <hr id="numerosity">
    <h2>Contatti</h2>
    <section>
      <div class="d-md-flex justify-content-center aling-items-center">
        <div class="container">
          <b-row no-gutters class="row-cols-1 row-cols-md-5" style="margin-top: 2%;">
            <b-col>
              <b-card header="Product Owner" style="border-radius: 10px;">
                <b-card-text>
                  <p>Elisabetta Contini</p>
                  <p>0000991260</p>
                </b-card-text>
            </b-card>
            </b-col>
            <b-col>
              <b-card header="Scrum Master" style="border-radius: 10px;">
                <b-card-text>
                  <p>Federico Piozzi</p>
                  <p>0000978589</p>
                </b-card-text>
              </b-card>
            </b-col>
            <b-col>
              <b-card header="Developer" style="border-radius: 10px;">
                <b-card-text>
                  <p>Faussi Alessio Foka</p>
                  <p>0000923448</p>
                </b-card-text>
              </b-card>
            </b-col>
            <b-col>
            <b-card header="Developer" style="border-radius: 10px;">
              <b-card-text>
                <p>Simone Gallinari</p>
                <p>0000977936</p>
              </b-card-text>
            </b-card>
            </b-col>
            <b-col>
            <b-card header="Developer" style="border-radius: 10px;">
              <b-card-text>
                <p>Francesca Mazzetti</p>
                <p>0000976353</p>
              </b-card-text>
            </b-card>
            </b-col>
          </b-row>
        </div>
      </div>
    </section>
    <FooterComponent></FooterComponent>
    </b-container>
</template>

<script>
import FooterComponent from '../components/FooterComponent.vue'

export default {
  name: 'HomeView',   
  components: {
    FooterComponent
  }
}

</script>

<style scoped>

 #title {
  margin-top: 5%;
  text-align:center;
  color: rgb(29, 155, 240);
}
 #copyright {
  background-color: #0A66A3;
  text-align: center;
}

ul {
  list-style-type: none;
  padding: 0;
}
.card {
  margin: 5px;
  height: 11em;
}
.description-graph {
  margin: 0 14rem 2rem 14rem;
}
hr {
  margin-top: 3rem;
}
.container-services {
  margin-top: 2rem;
}
.card-header {
  color: #0077b5;
  font-weight: bold;
}
</style>